VkImageSubresourceLayers Struct Reference

`#include <vulkan.h>`

## Data Fields

VkImageAspectFlags | aspectMask
uint32_t | mipLevel
uint32_t | baseArrayLayer
uint32_t | layerCount

## Detailed Description

Definition at line 2344 of file vulkan.h.

## Field Documentation

## aspectMask

VkImageAspectFlags VkImageSubresourceLayers::aspectMask

Definition at line 2345 of file vulkan.h.

## baseArrayLayer

uint32_t VkImageSubresourceLayers::baseArrayLayer

Definition at line 2347 of file vulkan.h.

## layerCount

uint32_t VkImageSubresourceLayers::layerCount

Definition at line 2348 of file vulkan.h.

## mipLevel

uint32_t VkImageSubresourceLayers::mipLevel

Definition at line 2346 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h